# -*- coding: utf-8 -*-
from setuphelpers import *
import glob
import re

def install():
    print("installing %s" % control.asrequirement())
    clean_uninst()


def audit():
    test_vers = clean_uninst()
    if test_vers[0] != "000":
        return "ERROR"
    else:
        return "OK"


def clean_uninst():
    print("Nettoyage unins00X.exe/unins00X.dat")
    list_ex = ["unins000.dat", "unins000.exe"]
    pattern = re.compile("[0-9]+(?=\.[^.]*$)")

    unins_exe = makepath(install_location("WAPT_is1"), "unins000.exe")
    unins_dat = makepath(install_location("WAPT_is1"), "unins000.dat")
    wapt_unins = makepath(install_location("WAPT_is1"), "unins*.*")

    all_unins = []
    for item in glob.glob(wapt_unins):
        all_unins.append(item.split("\\")[-1])

    bestvers = pattern.findall("".join(sorted(all_unins)))

    print("La version maximum est : {}".format(bestvers[0]))

    if bestvers[0] != "000":
        print(r"Restauration en unins000.exe et unins000.dat de la dernière version")
        try:
            filecopyto(makepath(install_location("WAPT_is1"), "unins{}.exe".format(bestvers[0])), unins_exe)
            filecopyto(makepath(install_location("WAPT_is1"), "unins{}.dat".format(bestvers[0])), unins_dat)
        except:
            pass

    for item_path in all_unins:
        if item_path in list_ex:
            continue
        try:
            print("Suppression de : {}".format(makepath(install_location("WAPT_is1"), item_path)))
            remove_file(makepath(install_location("WAPT_is1"), item_path))
        except:
            pass

    return bestvers



